LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XObjectOutputStream Interface Referencepublished

stores XPersistObject implementations into the stream More...

`import"XObjectOutputStream.idl";`

Inheritance diagram for XObjectOutputStream:

## Public Member Functions
void | writeObject ([in] XPersistObject Object) raises ( IOException )
| writes an object to the stream. More...
Public Member Functions inherited from XDataOutputStream
void | writeBoolean ([in] boolean Value) raises ( com::sun::star::io::IOException )
| writes a boolean. More...
void | writeByte ([in] byte Value) raises ( com::sun::star::io::IOException )
| writes an 8-bit byte. More...
void | writeChar ([in] char Value) raises ( com::sun::star::io::IOException )
| writes a 16-bit character. More...
void | writeShort ([in] short Value) raises ( com::sun::star::io::IOException )
| writes a 16-bit big endian integer. More...
void | writeLong ([in] long Value) raises ( com::sun::star::io::IOException )
| writes a 32-bit big endian integer. More...
void | writeHyper ([in] hyper Value) raises ( com::sun::star::io::IOException )
| writes a 64-bit big endian integer. More...
void | writeFloat ([in] float Value) raises ( com::sun::star::io::IOException )
| writes a 32-bit IEEE float. More...
void | writeDouble ([in] double Value) raises ( com::sun::star::io::IOException )
| writes a 64-bit IEEE double. More...
void | writeUTF ([in] string Value) raises ( com::sun::star::io::IOException )
| writes a string in UTF format. More...
Public Member Functions inherited from XOutputStream
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

stores XPersistObject implementations into the stream

An implementation of the type XPersistObject uses this interface to write its internal state into a stream. Have a look there for the explanation of the concept.

See also
  com::sun::star::io::XPersistObject

## Member Function Documentation

## ◆ writeObject()

void writeObject | ( | [in] XPersistObject | Object | ) |
raises | ( | IOException
| ) |  |

writes an object to the stream.

Parameters

  Object | the object, which shall serialize itself into the stream.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XObjectOutputStream.idl